# Uses of Class
com.fasterxml.jackson.core.util.RequestPayload

Packages that use RequestPayload
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.exc
Package for some of `JsonProcessingException` subtypes contained by streaming API.

## Uses of RequestPayload in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as RequestPayload
Modifier and Type
Field
Description
`protected RequestPayload`
JsonParser.`_requestPayload`
Optional container that holds the request payload which will be displayed on JSON parsing error.
Methods in com.fasterxml.jackson.core that return RequestPayload
Modifier and Type
Method
Description
`RequestPayload`
JsonParseException.`getRequestPayload()`
Methods in com.fasterxml.jackson.core with parameters of type RequestPayload
Modifier and Type
Method
Description
`void`
JsonParser.`setRequestPayloadOnError(RequestPayload payload)`
Sets the payload to be passed if `JsonParseException` is thrown.
`JsonParseException`
JsonParseException.`withRequestPayload(RequestPayload payload)`
Fluent method that may be used to assign payload to this exception, to let recipient access it for diagnostics purposes.

## Uses of RequestPayload in com.fasterxml.jackson.core.exc

Fields in com.fasterxml.jackson.core.exc declared as RequestPayload
Modifier and Type
Field
Description
`protected RequestPayload`
StreamReadException.`_requestPayload`
Optional payload that can be assigned to pass along for error reporting or handling purposes.
Methods in com.fasterxml.jackson.core.exc that return RequestPayload
Modifier and Type
Method
Description
`RequestPayload`
StreamReadException.`getRequestPayload()`
Method that may be called to find payload that was being parsed, if one was specified for parser that threw this Exception.
Methods in com.fasterxml.jackson.core.exc with parameters of type RequestPayload
Modifier and Type
Method
Description
`InputCoercionException`
InputCoercionException.`withRequestPayload(RequestPayload p)`
`abstract StreamReadException`
StreamReadException.`withRequestPayload(RequestPayload payload)`
Fluent method that may be used to assign payload to this exception, to let recipient access it for diagnostics purposes.